<?php

/*
_________________________________________
|Стена юзеров для JohnCMS
|Автор: FlySelf
|Связь: ICQ - 649292, e-mail - flyself@mail.ru
|Cайт поддеpжки: http://o5we.ru (в форуме)
|________________________________________

*/

define('_IN_JOHNCMS', 1);
$headmod = 'wall_users';
require_once ('../incfiles/core.php');
if (!$user_id) {
$link='' . $home . '/login.php';
header("Location: $link");exit;}
if ($id && $id != $user_id) {
    $req = mysql_query("SELECT `name` FROM `users` WHERE `id` = '$id' LIMIT 1");
    if (mysql_num_rows($req)) {
        $user = mysql_fetch_assoc($req);
        $textl = '' . $copyright . ' - Стена: ' . $user['name'];
    }
    else {
        require_once ('../incfiles/head.php');
        echo display_error('Такого пользователя не существует');
        require_once ("../incfiles/end.php");
        exit;
    }
}
else {
    $id = $user_id;
    $textl = '' . $copyright . ' - Моя стена';
}
require_once ('../incfiles/head.php');
switch ($act) {
    case 'say':
        $error = array();
        $text = isset($_POST['msg']) ? trim($_POST['msg']):
        '';
        if (empty($text))
            $error[] = 'Вы не ввели сообщение!';
        $old = ($rights > 0) ? 10:
        30;
        $spam = $datauser['lastpost'] > ($realtime - $old) ? 1:
        false;
        if ($spam)
            $error[] = 'Антифлуд! Порог ' . $old . ' секунд';
        if ($error) {
            $error[] = '<a href="wall_user.php?id=' . $id . '">Повторить</a>';
            echo display_error($error);
        }
        else {
            $text = mb_substr($text, 0, 500);
            if ($_POST['msgtrans'])
                $text = trans($text);
            $text = mysql_real_escape_string($text);
            mysql_query("UPDATE `users` SET `bals` = (`bals` + 1) WHERE `id` = '" . $user_id . "'");
            mysql_query("INSERT INTO `wall_users` SET `user_wall`='$id', `time`='$realtime', `user_id`='$user_id', `name`='$login', `text`='$text', `ip`='$ipl', `browser`='" . mysql_real_escape_string($agn) . "'");
            mysql_query("UPDATE `users` SET `postguest` = '$postguest', `lastpost` = '$realtime' WHERE `id` = '$user_id' LIMIT 1");
            header("location: wall_user.php?id=$id");
        }
        break;
    case 'delpost':
        $post = isset($_GET['post']) ? abs(intval($_GET['post'])) : false;
        $res = mysql_fetch_array(mysql_query("SELECT `user_wall` FROM `wall_users` WHERE `id` = '$post' LIMIT 1"));
        if ($rights >= 6 || $res['user_wall'] == $user_id) {
            if (isset($_GET['yes'])) {
                mysql_query("DELETE FROM `wall_users` WHERE `id`='$post' LIMIT 1");
                header("location: wall_user.php?id=$id");
            }
            else {
                echo '<div class="rmenu"><p>Вы действительно хотите удалить пост?<br/><a href="wall_user.php?act=delpost&amp;id=' . $id . '&amp;post=' . $post . '&amp;yes">Удалить</a> | <a href="wall_user.php?id= ' . $id . '">Отмена</a></p></div>';
            }
        }
        break;
    case 'editpost':
        $post = isset($_GET['post']) ? abs(intval($_GET['post'])) : false;
        $res = mysql_fetch_array(mysql_query("SELECT * FROM `wall_users` WHERE `id` = '$post' LIMIT 1"));
        if ($rights >= 6 || $res['user_wall'] == $user_id) {
            $text = isset($_POST['msg']) ? trim($_POST['msg']) : '';
            if (isset($_POST['submit']) && !empty($text)) {
                $edit_count = $res['edit_count'] + 1;
                $text = mysql_real_escape_string(mb_substr($text, 0, 500));
                mysql_query("UPDATE `wall_users` SET `text`='$text', `edit_name`='$login', `edit_time`='$realtime', `edit_count`='$edit_count' WHERE `id`='$post' LIMIT 1");
                header("location: wall_user.php?id=$id");
            }
            else {
                $text = htmlentities($res['text'], ENT_QUOTES, 'UTF-8');
                echo '<div class="phdr"><b>Стена</b>: редактируем пост</div><div class="rmenu"><form action="wall_user.php?act=editpost&amp;id=' . $id . '&amp;post=' . $post . '" method="post">
				<textarea rows="3" name="msg">' . $text . '</textarea><br/><input type="submit" name="submit" value="Отправить"/></form></div><div class="phdr"><a href="../str/smile.php">Смайлы</a></div><p><a href="wall_user.php?id= ' . $id . '">Назад</a></p>';
            }
        }
        break;
    case 'clean':
        if ($id && ($rights >= 7 || $id == $user_id)) {
            if (isset($_POST['submit'])) {
                $clean = isset($_POST['cl']) ? intval($_POST['cl']) : '';
                echo '<div class="phdr"><b>Очистка сообщений</b></div><div class="menu">';
                switch ($clean) {
                    case '1':
                        mysql_query("DELETE FROM `wall_users` WHERE `user_wall`='$id' AND `time` < '" . ($realtime - 86400) . "'");
                        echo '<p>Удалены все сообщения, старше 1 дня.</p>';
                        break;

                    case '2':
                        mysql_query("DELETE FROM `wall_users` WHERE `user_wall`='$id'");
                        echo '<p>Удалены все сообщения.</p>';
                        break;

                    default:
                        mysql_query("DELETE FROM `wall_users` WHERE `user_wall`='$id' AND `time`<='" . ($realtime - 604800) . "';");
                        echo '<p>Все сообщения, старше 1 недели удалены.</p>';
                }
                mysql_query("OPTIMIZE TABLE `wall_users`");
                echo '</div><div class="phdr"><a href="wall_user.php?id=' . $id . '">Вернуться</a></div>';
            }
            else {
                echo '<div class="phdr"><b>Очистка сообщений</b></div><div class="menu">';
                echo '<u>Что чистим?</u><form id="clean" method="post" action="wall_user.php?id=' . $id . '&amp;act=clean"><input type="radio" name="cl" value="0" checked="checked" />Старше 1 недели<br /><input type="radio" name="cl" value="1" />Старше 1 дня<br />
                <input type="radio" name="cl" value="2" />Очищаем все<br /><input type="submit" name="submit" value="Очистить" /></form></div><div class="phdr"><a href="wall_user.php?id=' . $id . '">Отмена</a></div>';
            }
        }
        break;
    default:
        echo '<div class="phdr"><b>' . $textl . '</b></div><div class="gmenu"><form action="' . $home . '/str/wall_user.php?act=say&amp;id=' . $id . '" method="post">Сообщение(max. 500):<br/><textarea cols="20" rows="2" name="msg"></textarea><br/>';
        if ($set_user['translit'])
            echo '<input type="checkbox" name="msgtrans" value="1" /> Транслит сообщения<br/>';
        echo '<input type="submit" title="Нажмите для отправки" name="submit" value="Отправить"/></form></div>';
        $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `wall_users` WHERE `user_wall`='$id'"), 0);
        if ($total) {
            $req = mysql_query("SELECT `wall_users`.*, `wall_users`.`id` AS `wall_id`, `users`.`rights`, `users`.`lastdate`, `users`.`sex`, `statusik`, `statusik_img`, `users`.`status`, `users`.`datereg`, `users`.`id` FROM `wall_users` LEFT JOIN `users` ON `wall_users`.`user_id` = `users`.`id` WHERE `wall_users`.`user_wall`='$id' ORDER BY `time` DESC LIMIT $start, $kmess");
            while ($res = mysql_fetch_assoc($req)) {
                $subtext = '';
                echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
                $text = ' <span class="gray">(' . date("d.m.y / H:i", $res['time'] + $set_user['sdvig'] * 3600) . ')</span>';
                $post = checkout($res['text'], 1, 1);
                if ($set_user['smileys'])
                    $post = smileys($post, $res['rights'] >= 1 ? 1 : 0);
                if ($res['user_id'] != $user_id && $res['user_id'] != $id)
                    $subtext = '<a href="' . $home . '/str/wall_user.php?id=' . $res['user_id'] . '">Стена</a>';
                if ($id == $user_id || $rights >= 6)
                    $subtext .= ($subtext ? ' | ' : '') . '<a href="' . $home . '/str/wall_user.php?act=editpost&amp;id=' . $id . '&amp;post=' . $res['wall_id'] . '">Изменить</a> | <a href="' . $home . '/str/wall_user.php?act=delpost&amp;id=' . $id . '&amp;post=' . $res['wall_id'] . '"><span class="red">Удалить</span></a>';
                if ($res['edit_count'])
                    $post .= '<br /><span class="gray"><small>Изм. <b>' . $res['edit_name'] . '</b> (' . date("d.m /H:i", $res['edit_time'] + $set_user['sdvig'] * 3600) . ') <b>[' . $res['edit_count'] . ']</b></small></span>';
                echo show_user($res, 1, ($rights >= 6 && $rights >= $res['rights'] ? 1 : 0), $text, $post, $subtext);
                echo '</div>';
                ++$i;
            }
            echo '<div class="phdr">Всего сообщений: ' . $total . '</div>';
            if ($total > $kmess) {
                echo '<p>' . pagenav('' . $home . '/str/wall_user.php?id= ' . $id . '&amp;', $start, $total, $kmess) . '</p>';
                echo '<p><form action="' . $home . '/str/wall_user.php" method="get"><input type="hidden" name="id" value="' . $id . '"/><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></p>';
            }
            if ($rights >= 7 || $id = $user_id)
                echo '<p><div class="func"><a href="' . $home . '/str/wall_user.php?act=clean&amp;id=' . $id . '">Чистка истории</a></div></p>';

        }
        else {
            echo '<p>В стене сообщений нет.</p>';
        }
        echo '<div><img src="' . $home . '/images/act3.gif" width="7" height="10" alt="-" /> <a href="' . $home . '/id' . $id . '">Вернуться в анкету</a></div>';

}
require_once ('../incfiles/end.php');

?>